# Anbox Cloud - AMS Load Balancer

Anbox Cloud offers a software stack that runs Android applications in any cloud enabling high-performance
streaming of graphics to desktop and mobile client devices.

At its heart, it uses lightweight container technology instead of full virtual machines to achieve higher
density and better performance per host while ensuring security and isolation of each container. Depending
on the target platform, payload, and desired application performance (e.g. frame rate), more than
100 containers can be run on a single machine.

For containerization of Android, Anbox Cloud uses the well established and secure container hypervisor
LXD. LXD is secure by design, scales to a large number of containers and provides advanced resource
management for hosted containers.

Also have a look at the official Anbox Cloud website for more information.

## AMS Load Balancer

The AMS Load Balancer is a specialized charm that should be deployed with the `ams` charm
in High availability scenarios.

```sh
$ juju deploy cs:~anbox-charmers/ams-load-balancer
$ juju relate ams ams-load-balancer

# Optional: add more AMS units for High Availability
$ juju add-unit ams -n 2
```

For more information about the AMS Load Balancer, visit the official documentation
on https://anbox-cloud.io/docs/installation/high-availability
